"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetValidateImportFromUrlUseCase = void 0;
var _constants = require("../../../tasks/constants");
var _convertTaskToValidateImportFromUrlRecord = require("../../utils/convertTaskToValidateImportFromUrlRecord");
class GetValidateImportFromUrlUseCase {
  constructor(params) {
    this.getTask = params.getTask;
  }
  async execute(params) {
    const task = await this.getTask(params.id);
    if (task?.definitionId !== _constants.VALIDATE_IMPORT_FROM_URL_INTEGRITY_TASK) {
      return null;
    }
    return (0, _convertTaskToValidateImportFromUrlRecord.convertTaskToValidateImportFromUrlRecord)(task);
  }
}
exports.GetValidateImportFromUrlUseCase = GetValidateImportFromUrlUseCase;

//# sourceMappingURL=GetValidateImportFromUrlUseCase.js.map