"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValidateImportFromUrlIntegrityUseCase = void 0;
var _constants = require("../../../tasks/constants");
class ValidateImportFromUrlIntegrityUseCase {
  constructor(params) {
    this.triggerTask = params.triggerTask;
  }
  async execute(params) {
    const {
      files,
      model
    } = params;
    const task = await this.triggerTask({
      name: `Validate Import from URL Integrity`,
      definition: _constants.VALIDATE_IMPORT_FROM_URL_INTEGRITY_TASK,
      input: {
        model,
        files
      }
    });
    return {
      id: task.id,
      status: task.taskStatus
    };
  }
}
exports.ValidateImportFromUrlIntegrityUseCase = ValidateImportFromUrlIntegrityUseCase;

//# sourceMappingURL=ValidateImportFromUrlIntegrityUseCase.js.map