"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.convertTaskToValidateImportFromUrlRecord = void 0;
var _domain = require("../../domain");
const convertTaskToValidateImportFromUrlRecord = task => {
  const files = task.input.files.map(file => {
    const output = task.output?.files?.find(f => f.checksum === file.checksum);
    if (output) {
      return {
        ...output,
        error: output.error,
        type: output.type,
        size: output.size
      };
    }
    return file;
  });
  return (0, _domain.createCmsImportValidateRecord)({
    id: task.id,
    files: files,
    status: task.taskStatus,
    error: task.output?.error
  });
};
exports.convertTaskToValidateImportFromUrlRecord = convertTaskToValidateImportFromUrlRecord;

//# sourceMappingURL=convertTaskToValidateImportFromUrlRecord.js.map