"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createImportFromUrlProcessEntries = void 0;
var _s3Client = require("../utils/helpers/s3Client");
var _ImportFromUrlProcessEntries = require("./importFromUrlProcessEntries/ImportFromUrlProcessEntries");
var _getBucket = require("../utils/helpers/getBucket");
var _decompressor = require("../utils/decompressor");
var _upload = require("../utils/upload");
var _fileFetcher = require("../utils/fileFetcher");
const createImportFromUrlProcessEntries = () => {
  const client = (0, _s3Client.createS3Client)();
  const bucket = (0, _getBucket.getBucket)();
  const reader = (0, _decompressor.createCompressedFileReader)({
    client,
    bucket
  });
  const decompressor = (0, _decompressor.createDecompressor)({
    createUploadFactory: filename => {
      return (0, _upload.createMultipartUploadFactory)({
        filename,
        client,
        bucket,
        createHandler: _upload.createMultipartUpload
      });
    }
  });
  const fileFetcher = new _fileFetcher.FileFetcher({
    client,
    bucket
  });
  return new _ImportFromUrlProcessEntries.ImportFromUrlProcessEntries({
    fileFetcher,
    reader,
    decompressor
  });
};
exports.createImportFromUrlProcessEntries = createImportFromUrlProcessEntries;

//# sourceMappingURL=createImportFromUrlProcessEntries.js.map