"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createValidateImportFromUrl = void 0;
var _ValidateImportFromUrl = require("./validateImportFromUrl/ValidateImportFromUrl");
var _externalFileFetcher = require("../utils/externalFileFetcher");
var _s3Client = require("../utils/helpers/s3Client");
var _getBucket = require("../utils/helpers/getBucket");
var _fileFetcher = require("../utils/fileFetcher");
const createValidateImportFromUrl = () => {
  const fileFetcher = new _externalFileFetcher.ExternalFileFetcher({
    fetcher: fetch,
    getChecksumHeader: headers => (headers.get("etag") || "").replaceAll('"', "")
  });
  const internalFileFetcher = new _fileFetcher.FileFetcher({
    client: (0, _s3Client.createS3Client)(),
    bucket: (0, _getBucket.getBucket)()
  });
  return new _ValidateImportFromUrl.ValidateImportFromUrl({
    fileFetcher,
    fileExists: async key => {
      return internalFileFetcher.exists(key);
    }
  });
};
exports.createValidateImportFromUrl = createValidateImportFromUrl;

//# sourceMappingURL=createValidateImportFromUrl.js.map