import type { ICmsEntryZipper, ICmsEntryZipperExecuteParams, ICmsEntryZipperExecuteResult } from "./abstractions/CmsEntryZipper";
import type { ICmsEntryFetcher } from "../cmsEntryFetcher/abstractions/CmsEntryFetcher";
import type { IZipper } from "../zipper";
import type { IAsset, IEntryAssets } from "../entryAssets";
import type { IUniqueResolver } from "../uniqueResolver/abstractions/UniqueResolver";
export interface ICmsEntryZipperConfig {
    zipper: IZipper;
    fetcher: ICmsEntryFetcher;
    entryAssets: IEntryAssets;
    uniqueAssetsResolver: IUniqueResolver<IAsset>;
}
export declare class CmsEntryZipper implements ICmsEntryZipper {
    private readonly zipper;
    private readonly fetcher;
    private readonly entryAssets;
    private readonly uniqueAssetsResolver;
    constructor(params: ICmsEntryZipperConfig);
    execute(params: ICmsEntryZipperExecuteParams): Promise<ICmsEntryZipperExecuteResult>;
}
