import type { File, FileListMeta, FilesListOpts } from "@webiny/api-file-manager/types";
import type { IEntryAssetsResolver, IResolvedAsset } from "./abstractions/EntryAssetsResolver";
import type { IAsset } from "./abstractions/EntryAssets";
export interface IFetchFilesCbResult {
    items: File[];
    meta: FileListMeta;
}
export interface IFetchFilesCb {
    (opts?: FilesListOpts): Promise<IFetchFilesCbResult>;
}
export interface IEntryAssetsResolverParams {
    fetchFiles: IFetchFilesCb;
}
export declare class EntryAssetsResolver implements IEntryAssetsResolver {
    private readonly fetchFiles;
    constructor(params: IEntryAssetsResolverParams);
    resolve(input: IAsset[]): Promise<IResolvedAsset[]>;
}
