"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getImportExportFileType = void 0;
var _constants = require("../../constants");
var _types = require("../../../types");
const getImportExportFileType = input => {
  const result = new URL(input);
  const pathname = result.pathname;
  if (pathname.endsWith(_constants.WEBINY_EXPORT_ENTRIES_EXTENSION)) {
    return {
      type: _types.CmsImportExportFileType.ENTRIES,
      pathname
    };
  } else if (pathname.endsWith(_constants.WEBINY_EXPORT_ASSETS_EXTENSION)) {
    return {
      type: _types.CmsImportExportFileType.ASSETS,
      pathname
    };
  }
  if (pathname.includes(".") === false) {
    return {
      type: undefined,
      pathname,
      error: true
    };
  }
  const extensions = pathname.split(".");
  extensions.shift();
  const type = extensions.join(".");
  return {
    type,
    pathname,
    error: true
  };
};
exports.getImportExportFileType = getImportExportFileType;

//# sourceMappingURL=getImportExportFileType.js.map