"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Zipper = void 0;
class Zipper {
  constructor(config) {
    this.upload = config.upload;
    this.archiver = config.archiver;
    this.archiver.archiver.pipe(config.upload.stream);
  }
  async add(data, options) {
    this.archiver.archiver.append(data, options);
  }
  async finalize() {
    /**
     * Unfortunately we must wait a bit before finalizing the archive.
     * Possibly it could work without this, but I've seen some issues with the archiver hanging if the finalize
     * was called immediately after the last file was added.
     */
    setTimeout(() => {
      this.archiver.archiver.finalize();
    }, 200);
  }
  async abort() {
    return this.upload.abort();
  }
  async done() {
    return this.upload.done();
  }
  on(event, callback) {
    this.archiver.archiver.on(event, callback);
  }
}
exports.Zipper = Zipper;

//# sourceMappingURL=Zipper.js.map